# class HostImp | Implementation base class for Host Objects. More...
Full name | `KJS::HostImp`
Definition | `#include <object.h>`
Inherits | KJS::Imp [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- HostImp ()
- virtual ~HostImp ()
- virtual const TypeInfo* typeInfo () const
- virtual Boolean toBoolean () const

#### Public Members

- static const TypeInfo info

## Detailed Description

HostImp () | ### HostImp

~HostImp () | ### ~HostImp

[virtual]

const TypeInfo* typeInfo () | ### typeInfo

[const virtual]

Reimplemented from Imp.

Boolean toBoolean () | ### toBoolean

[const virtual]

Reimplemented from Imp.

static const TypeInfo info | ### info

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:56 2001, using kdoc 2.0a53.